--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "returns one of the following statuses:"
- !ruby/struct:SM::Flow::VERB 
  body: "  PQTRANS_IDLE    = 0 (connection idle)\n  PQTRANS_ACTIVE  = 1 (command in progress)\n  PQTRANS_INTRANS = 2 (idle, within transaction block)\n  PQTRANS_INERROR = 3 (idle, within failed transaction)\n  PQTRANS_UNKNOWN = 4 (cannot determine status)\n"
- !ruby/struct:SM::Flow::P 
  body: See the PostgreSQL documentation on PQtransactionStatus[http://www.postgresql.org/docs/current/interactive/libpq-status.html#AEN24919] for more information.
full_name: PGconn#transaction_status
is_singleton: false
name: transaction_status
params: |
  conn.transaction_status()

visibility: public
